Subject: bug#38246: 26.1; type-break-mode not resilient against corrupted state file

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Jan 2021 18:11:09 +0100

Arne Babenhauserheide <[email-masked]> writes:

> When I start emacs after it was killed on shutdown, I often get the
> following error message on startup:
>
> Warning (initialization): An error occurred while loading ‘/home/arne/.emacs.d/init.el’:
>
> error: End of file in ‘~/.emacs.d/type-break’
>
> To ensure normal operation, you should investigate and remove the
> cause of the error in your initialization file.  Start Emacs with
> the ‘--debug-init’ option to view a complete error backtrace.
>
> This is an unnecessary error, because type-break-mode is in a valid
> configuration if it simply starts fresh if the file is corrupted.
> Therefore it would be great if it could just ignore errors on loading.
>
> The error often appears when I shutdown from Gnome without shutting down
> emacs first.

I've now changed type-break-mode to just issue a warning instead of an
error.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no